Subject: Re: bug#22209: name resolution failures in installer image

From: [email-masked] (Ludovic Courtès)
Date: Tue, 03 May 2016 22:26:31 +0200

[email-masked] (Ludovic Courtès) skribis:

> [email-masked] (Ludovic Courtès) skribis:
>
>> Ricardo Wurmus <[email-masked]> skribis:
>
> [...]
>
>>> Could this be related to cached resolution failures in nscd?  Have you
>>> tried restarting the nscd service?
>>
>> That sounds likely.
>>
>> Nscd caches negative lookups, but normally only for 20 seconds (see
>> %nscd-minimal-caches in (gnu system install)).  So if you look up
>> hydra.gnu.org before the network is set up, it’ll remember for 20s that
>> this is a lookup failure, even if you’ve set up the network in the
>> meantime.
>
> Commit c96ba2c disables caching of lookup failures altogether.

0.10.0 uses this fix and we haven’t heard from name resolution failures
in the installer image, so I’m closing it.

Ludo’.